package db

import (
	"trustcontact/internal/models"

	"gorm.io/gorm"
)

func Migrate(database *gorm.DB) error {
	return database.AutoMigrate(
		&models.User{},
		&models.EmailVerificationToken{},
		&models.PasswordResetToken{},
		&models.UserProperties{},
	)
}
